| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
Well::HDF5Reader Class Reference
Well

Reads Well::Data from HDF5 file
More...

`#include <wellhdf5reader.h>`

Inheritance diagram for Well::HDF5Reader:
[legend]

## Public Member Functions
| HDF5Reader (const char *fnm, Data &, uiString &errmsg)
| HDF5Reader (const HDF5Writer &, Data &, uiString &errmsg)
| HDF5Reader (const IOObj &, Data &, uiString &errmsg)
| ~HDF5Reader ()
Public Member Functions inherited from Well::ReadAccess
virtual | ~ReadAccess ()
Data & | data ()
const Data & | data () const
virtual bool | getCSMdlByID (const D2TID &) const
virtual bool | getCSMdlByName (const char *) const
virtual bool | getCSMdlInfo (BufferStringSet &) const
virtual bool | getD2TByID (const D2TID &) const
virtual bool | getD2TByName (const char *) const
virtual bool | getD2TInfo (BufferStringSet &) const
| mOD_DisableCopy (ReadAccess) virtual bool getInfo() const =0

## Private Member Functions
bool | doGetD2T (bool) const
bool | ensureFileOpen () const
const uiString & | errMsg () const override
bool | get () const override
bool | getCSMdl () const override
| Checkshot mdl.
bool | getD2T () const override
bool | getDefLogs () const override
bool | getDispProps () const override
bool | getInfo () const override
bool | getLog (const char *lognm) const override
bool | getLogByID (const LogID &) const override
void | getLogInfo (BufferStringSet &) const override
bool | getLogPars (const HDF5::DataSetKey &, IOPar &) const
bool | getLogs (bool needjustinfo) const override
bool | getMarkers () const override
bool | getTrack () const override
Log * | getWL (const HDF5::DataSetKey &) const
void | init (const char *)

## Private Attributes
uiString & | errmsg_
IOPar | infoiop_
PtrMan< HDF5::Reader > | rdr_

## Additional Inherited Members
Static Public Member Functions inherited from Well::HDF5Access
static const char * | sColorsDSName ()
static const char * | sCoordsDSName ()
static const char * | sCSsGrpName ()
static const char * | sDispParsGrpName ()
static const char * | sKeyLogDel ()
static const char * | sLogsGrpName ()
static const char * | sLvlIDsDSName ()
static const char * | sMarkersGrpName ()
static const char * | sMDsDSName ()
static const char * | sNamesDSName ()
static const char * | sTDsGrpName ()
static const char * | sTrackGrpName ()
static const char * | sTWTsDSName ()
static const char * | sValuesDSName ()
Protected Member Functions inherited from Well::ReadAccess
| ReadAccess (Data &)
bool | addToLogSet (Log *, bool needjustinfo=false) const
void | adjustTrackIfNecessary (bool frommarkers=false) const
bool | updateDTModel (D2TModel *, bool ischeckshot, BufferString &errmsg) const
| D2TModel will become mine and may even be deleted.
bool | updateDTModel (D2TModel *, bool ischeckshot, uiString &errmsg) const
mDeprecatedDef bool | updateDTModel (D2TModel *, const Track &, float, bool) const
Protected Attributes inherited from Well::ReadAccess
Data & | wd_

## Detailed Description

Reads Well::Data from HDF5 file

<>

## Constructor & Destructor Documentation

## ◆ HDF5Reader() [1/3]

Well::HDF5Reader::HDF5Reader | ( | const IOObj & | ,
|  | Data & | ,
|  | uiString & | errmsg )

## ◆ HDF5Reader() [2/3]

Well::HDF5Reader::HDF5Reader | ( | const char * | fnm,
|  | Data & | ,
|  | uiString & | errmsg )

## ◆ HDF5Reader() [3/3]

Well::HDF5Reader::HDF5Reader | ( | const HDF5Writer & | ,
|  | Data & | ,
|  | uiString & | errmsg )

## ◆ ~HDF5Reader()

Well::HDF5Reader::~HDF5Reader | ( |  | ) |

## Member Function Documentation

## ◆ doGetD2T()

bool Well::HDF5Reader::doGetD2T | ( | bool |  | ) | const
| private

## ◆ ensureFileOpen()

bool Well::HDF5Reader::ensureFileOpen | ( |  | ) | const
| private

## ◆ errMsg()

const uiString & Well::HDF5Reader::errMsg | ( |  | ) | const
| inline override private virtual

Implements Well::ReadAccess.

## ◆ get()

bool Well::HDF5Reader::get | ( |  | ) | const
| inline override private virtual

Implements Well::ReadAccess.

## ◆ getCSMdl()

bool Well::HDF5Reader::getCSMdl | ( |  | ) | const
| override private virtual

Checkshot mdl.

Implements Well::ReadAccess.

## ◆ getD2T()

bool Well::HDF5Reader::getD2T | ( |  | ) | const
| override private virtual

Implements Well::ReadAccess.

## ◆ getDefLogs()

bool Well::HDF5Reader::getDefLogs | ( |  | ) | const
| override private virtual

Reimplemented from Well::ReadAccess.

## ◆ getDispProps()

bool Well::HDF5Reader::getDispProps | ( |  | ) | const
| override private virtual

Implements Well::ReadAccess.

## ◆ getInfo()

bool Well::HDF5Reader::getInfo | ( |  | ) | const
| override private

## ◆ getLog()

bool Well::HDF5Reader::getLog | ( | const char * | lognm | ) | const
| override private virtual

Implements Well::ReadAccess.

## ◆ getLogByID()

bool Well::HDF5Reader::getLogByID | ( | const LogID & |  | ) | const
| override private virtual

Reimplemented from Well::ReadAccess.

## ◆ getLogInfo()

void Well::HDF5Reader::getLogInfo | ( | BufferStringSet & |  | ) | const
| override private virtual

Implements Well::ReadAccess.

## ◆ getLogPars()

bool Well::HDF5Reader::getLogPars | ( | const HDF5::DataSetKey & | ,
|  | IOPar & | ) const
| private

## ◆ getLogs()

bool Well::HDF5Reader::getLogs | ( | bool | needjustinfo | ) | const
| override private virtual

Implements Well::ReadAccess.

## ◆ getMarkers()

bool Well::HDF5Reader::getMarkers | ( |  | ) | const
| override private virtual

Implements Well::ReadAccess.

## ◆ getTrack()

bool Well::HDF5Reader::getTrack | ( |  | ) | const
| override private virtual

Implements Well::ReadAccess.

## ◆ getWL()

Log * Well::HDF5Reader::getWL | ( | const HDF5::DataSetKey & |  | ) | const
| private

## ◆ init()

void Well::HDF5Reader::init | ( | const char * |  | ) |
| private

## Member Data Documentation

## ◆ errmsg_

uiString& Well::HDF5Reader::errmsg_
| private

## ◆ infoiop_

IOPar Well::HDF5Reader::infoiop_
| mutable private

## ◆ rdr_

PtrMan<HDF5::Reader> Well::HDF5Reader::rdr_
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025